using System.ComponentModel;

namespace GxPress.EnumConst
{
    /// <summary>
    /// 100文章 1文本 2话题 3 收藏 4笔记 5通知 6站内信 7小组  12 收藏文件夹 13笔记文件夹 14工作流审批 300 文件 301图片 400会议纪要 500会议详情 601 财务报表 602人事报表 603 出版报表
    /// </summary>
    public enum TextEditorTypeConst
    {
        [Description("文章")]
        Article = 100,
        [Description("文本")]
        Text = 1,
        [Description("话题")]
        Topic = 2,
        [Description("收藏")]
        Collect = 3,
        [Description("笔记")]
        Note = 4,
        [Description("通知")]
        Notice = 5,
        [Description("站内信")]
        Missive = 6,
        [Description("小组")]
        Group = 7,
        [Description("收藏文件夹")]
        CollectFolder = 12,
        [Description("笔记文件夹")]
        NoteFolder = 13,
        [Description("工作流审批")]
        Flow = 14,
        [Description("文件")]
        File = 300,
        [Description("图片")]
        Image = 301,
        [Description("会议纪要")]
        MeetingSummary = 400,
        [Description("会议详情")]
        Meeting = 500,
        [Description("财务报表")]
        FinanceReport = 601,
        [Description("人事报表")]
        PersonnelReport = 602,
        [Description("出版报表")]
        PublishReport = 603,
        [Description("笔记话题")]
        TopicNote = 21,
    }

    /// <summary>
    /// 1 txt文字 2 img:图片 3 file:文件 4 Article:文章 5 notice通知 6 topic话题 7 note笔记 8 collection收藏 9站内信 10小组 11 会议ß 12 收藏文件夹 13 笔记文件夹 14 审批 400会议纪要
    /// </summary>
    public enum OldTextEditorTypeConst
    {
        [Description("文章")]
        Article = 4,
        [Description("文本")]
        Text = 1,
        [Description("话题")]
        Topic = 6,
        [Description("收藏")]
        Collect = 8,
        [Description("笔记")]
        Note = 7,
        [Description("通知")]
        Notice = 5,
        [Description("站内信")]
        Missive = 9,
        [Description("小组")]
        Group = 10,
        [Description("收藏文件夹")]
        CollectFolder = 12,
        [Description("笔记文件夹")]
        NoteFolder = 13,
        [Description("工作流审批")]
        Flow = 14,
        [Description("文件")]
        File = 3,
        [Description("图片")]
        Image = 2,
        [Description("会议纪要")]
        MeetingSummary = 400,
        [Description("会议详情")]
        Meeting = 500,
        [Description("财务报表")]
        FinanceReport = 601,
        [Description("人事报表")]
        PersonnelReport = 602,
        [Description("出版报表")]
        PublishReport = 603,
    }
}